﻿using System;
using System.Diagnostics;
using System.IO;
using System.Net;
using System.Text;

namespace OPS_SimpleExample_ASP.Models.Http
{
    public class SendHttpRequest
    {
        public void SendRequest(String uri, string queryString)
        {
            try
            {
                ASCIIEncoding encoding = new ASCIIEncoding();
                string postData = queryString;
                byte[] data = encoding.GetBytes(postData);

                // Prepare web request...
                HttpWebRequest request = (HttpWebRequest)WebRequest.Create(uri);
                request.Method = "POST";
                request.ContentType = "application/x-www-form-urlencoded";
                request.ContentLength = data.Length;
                Stream newStream = request.GetRequestStream();

                // Send the data.
                newStream.Write(data, 0, data.Length);
                newStream.Close();


                //Response
                using (var response = (HttpWebResponse)request.GetResponse())
                using (var sr = new StreamReader(response.GetResponseStream()))
                {
                    Debug.WriteLine(sr.ReadToEnd());
                }
            }
            catch (Exception e)
            {
                Debug.WriteLine(e.Message);
            }
        }
    }
}